Subject: Re: [Workaround] Re: M-x shell + bash = Infinite error messages?
From: [email-masked] (Andrew Innes)

17 Dec 1997 04:05:09 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]

On 16 Dec 1997 13:44:45 -0500, Paul Stodghill <[email-masked]> said:
>I figured out what was causing my problem:

[problem was bash crashing when run in an Emacs shell buffer]

>I was invoking emacs by using a command similar to,
>
>  bash -c "runemacs ... some options ..."
>
>Changing the command to simply
>
>  runemacs ... some options ...
>
>made by M-x shell problems go away.
>
>Why?

runemacs starts Emacs then exits, so possibly an environment variable is
being set by bash which is passed on to Emacs, causing confusion later.

Another possibility is that Emacs inherits (via runemacs) some handles
from bash (eg. file handles, semaphore handles, etc) which are causing
problems.

AndrewI

>>I'm having a real pain of a problem with NTEmacs 19.34.6 and the bash from
>>gnu-win32 beta 18.
>>
>>It appears that I am able to invoke M-x shell successfully the first time
>>that I run NTEmacs, but if I restart NTEmacs and M-x shell again, I get the
>>following in the *shell* buffer.
>>
>>(unknown) In cygwin_except_handler
>>(unknown) Exception trapped!
>>(unknown) exception C0000005 at 10018910
>>(unknown) exception: ax 0 bx 3EA cx A5 dx 64
>>(unknown) exception: si 244FA28 di 0 bp 244FA3C sp 244FA18
>>(unknown) exception is: STATUS_ACCESS_VIOLATION
>>(unknown) Stack trace:
>>(unknown) frame 0: sp = 0x244F84C, pc = 0x1000CEC2
>>(unknown) frame 1: sp = 0x244F868, pc = 0x77F94512
>>(unknown) frame 2: sp = 0x244F88C, pc = 0x77F88EEB
>>(unknown) frame 3: sp = 0x244F918, pc = 0x77F76266
>>(unknown) frame 4: sp = 0x244FA3C, pc = 0x1000BBED
>>(unknown) frame 5: sp = 0x244FF94, pc = 0x1000C113
>>(unknown) frame 6: sp = 0x244FFA0, pc = 0x43AE95
>>(unknown) frame 7: sp = 0x244FFB0, pc = 0x40103B
>>(unknown) frame 8: sp = 0x244FFC0, pc = 0x77F1B304
>>(unknown) frame 9: sp = 0x244FFF0, pc = 0x0
>>(unknown) End of stack trace
>>(unknown) In cygwin_except_handler
>>(unknown) Error while dumping state (probably corrupted stack)
>>(unknown) In cygwin_except_handler
>>(unknown) Error while dumping state (probably corrupted stack)
>>(unknown) In cygwin_except_handler
>>(unknown) Error while dumping state (probably corrupted stack)
>>(unknown) In cygwin_except_handler
>>.
>>.
>>.
>>.
>>
>>and so on. The only fix to the problem that I have found is to reboot the
>>machine. :-(
>>
>>Any clues as to how to fix this? Thanks.
>>
>>-- 
>>Paul Stodghill <[email-masked]>
>>http://www.cs.cornell.edu/home/stodghil/home.html

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".